import React from 'react';
import EasyvEndpoint from './Endpoint';

function Events({ list = [], nodeId }: { nodeId: string | number; list: any[] }) {
  return (
    <ul>
      {list.map((d) => (
        <EasyvEndpoint key={d.id} id={d.id} text={d.text} type="event" nodeId={nodeId + ''} />
      ))}
    </ul>
  );
}

export default Events;
